# Type Alias Object3DHelperPluginEventMap

type Object3DHelperPluginEventMap = {
disable: (options?: { userAction?: boolean }) => void;
dispose: () => void;
enable: (options?: { userAction?: boolean }) => void;
hide: (options?: { userAction?: boolean }) => void;
show: (options?: { userAction?: boolean }) => void;
stateChange: (
params: {
prevState?: Object3DHelperPluginState;
state: Object3DHelperPluginState;
},
) => void;
}

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:19

##### Index

### Properties

disable
dispose
enable
hide
show
stateChange

## Properties

### disable

disable: (options?: { userAction?: boolean }) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:23

### dispose

dispose: () => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:24

### enable

enable: (options?: { userAction?: boolean }) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:22

### hide

hide: (options?: { userAction?: boolean }) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:21

### show

show: (options?: { userAction?: boolean }) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:20

### stateChange

stateChange: (
params: {
prevState?: Object3DHelperPluginState;
state: Object3DHelperPluginState;
},
) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:25